
From: Pavel Machek <pavel@ucw.cz>

This fixes suspend when pccards are used...



 drivers/pcmcia/cs.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/pcmcia/cs.c~pccardd-suspend-fix drivers/pcmcia/cs.c
--- 25/drivers/pcmcia/cs.c~pccardd-suspend-fix	2003-05-28 18:09:03.000000000 -0700
+++ 25-akpm/drivers/pcmcia/cs.c	2003-05-28 18:09:03.000000000 -0700
@@ -48,6 +48,7 @@
 #include <linux/pm.h>
 #include <linux/pci.h>
 #include <linux/device.h>
+#include <linux/suspend.h>
 #include <asm/system.h>
 #include <asm/irq.h>
 
@@ -783,6 +784,9 @@ static int pccardd(void *__skt)
 		}
 
 		schedule();
+		if (current->flags & PF_FREEZE)
+			refrigerator(PF_IOTHREAD);
+
 		if (!skt->thread)
 			break;
 	}

_
